## obs-scene-as-transition 1.1.0+20230419.ce423a3

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(scene-as-transition VERSION 1.1.0)
set(PROJECT_FULL_NAME "Scene As Transition")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "594cb2dd-04d7-4cb3-9c84-c60174446f5f")
set(MACOS_INSTALLER_UUID "d238b577-c17e-4db8-a606-e98291200b48")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	scene-as-transition.c
	scene-as-transition.h
	version.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
endif()
  
if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE 
		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
elseif(OS_MACOS)
		set(MACOS_BUNDLEID "com.andilippi.${PROJECT_NAME}")
		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
		set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
		set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
		configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
		target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

target_link_libraries(${PROJECT_NAME}
	OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-scene-as-transition (1.1.0+20230419.ce423a3-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:55:34 -0300

obs-scene-as-transition (1.1.0+20230419.ce423a3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 17:19:33 -0300

obs-scene-as-transition (1.1.0+20230419.ce423a3-1) experimental; urgency=medium

  * Initial release. (Closes: #1034531)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Apr 2023 11:08:23 -0300

=== debian/control ===
Source: obs-scene-as-transition
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/scene-as-transition.1704
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-as-transition
Vcs-Git: https://salsa.debian.org/debian/obs-scene-as-transition.git

Package: obs-scene-as-transition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Suggests: obs-move-transition
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to use a Scene as a Transition
 This plugin can be used to create all kinds of transitions. It is recommended
 to get the most out of this plugin that you use other powerful plugins such
 as obs-move-transition to create advanced movements.
 .
 Is possible to make the transitions dynamic by passing information from other
 ways. An example would be putting a text source on the transition scene and
 having it updated with the name of the scene or game you are transitioning to.
 .
 Some features:
 .
   - Choose a scene to use as a transition.
   - Set the total transition duration.
   - Set a what point the scene changes (Time or Percentage).
   - Choose a filter to trigger on the transition scene when the transition
     starts.

## obs-scene-as-transition 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
-# --- Detect if the plugin is build out of tree or not ---
+# --- Detect if the plugin is built out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+  	legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(scene-as-transition VERSION 1.1.0)
+project(scene-as-transition VERSION 1.1.1)
 set(PROJECT_FULL_NAME "Scene As Transition")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -19,7 +22,6 @@
 
 target_sources(${PROJECT_NAME} PRIVATE
 	scene-as-transition.c
-	scene-as-transition.h
 	version.h)
 
 if(BUILD_OUT_OF_TREE)
@@ -52,19 +54,27 @@
 target_link_libraries(${PROJECT_NAME}
 	OBS::libobs)
 
+
 if(BUILD_OUT_OF_TREE)
-    if(NOT LIB_OUT_DIR)
-        set(LIB_OUT_DIR "/lib/obs-plugins")
-    endif()
-    if(NOT DATA_OUT_DIR)
-        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
-    endif()
-    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
-    install(TARGETS ${PROJECT_NAME}
-        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
-    install(DIRECTORY data/locale
-        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	if(NOT LIB_OUT_DIR)
+		set(LIB_OUT_DIR "/lib/obs-plugins")
+	endif()
+	if(NOT DATA_OUT_DIR)
+		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
+	endif()
+	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
+	install(TARGETS ${PROJECT_NAME}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
+	install(DIRECTORY data/locale
+		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
 else()
-    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi")
+	target_include_directories(${PROJECT_NAME} PRIVATE
+		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-scene-as-transition (1.1.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.
  * debian/docs: created to install README.md.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Apr 2025 13:21:04 -0300

obs-scene-as-transition (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/patches/010_fix-FTBFS.patch: removed because the upstream fixed the
    source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 02 Jul 2024 00:41:54 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/scene-as-transition.1704
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-as-transition
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-as-transition.git

=== debian/watch ===
version=4
https://github.com/andilippi/obs-scene-as-transition/tags archive/refs/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-scene-as-transition 1.2.1

=== CMakeLists.txt ===
# --- Detect if the plugin is built out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.16...3.26)
endif()

include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${PROJECT_NAME} MODULE)

target_link_libraries(${PROJECT_NAME} PRIVATE OBS::libobs)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
else()
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::frontend-api)
endif()

# Qt
find_package(Qt6 COMPONENTS Widgets Core)
if(BUILD_OUT_OF_TREE)
  if(OS_LINUX OR OS_FREEBSD OR OS_OPENBSD)
    find_package(Qt6 REQUIRED Gui)
  endif()
endif()
target_link_libraries(${PROJECT_NAME} PRIVATE Qt::Core Qt::Widgets)

# CURL
find_package(CURL REQUIRED)
target_link_libraries(${PROJECT_NAME} PRIVATE CURL::libcurl)

# Determine shared directory path (support both in-tree and out-of-tree builds)
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/shared")
  set(OBS_SHARED_DIR "${CMAKE_CURRENT_SOURCE_DIR}/shared")
else()
  set(OBS_SHARED_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../../shared")
endif()

# Include directories
target_include_directories(${PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${OBS_SHARED_DIR}
)

# Extra Qt linkage on older Qt versions for *nix
if((OS_LINUX OR OS_FREEBSD OR OS_OPENBSD) AND Qt_VERSION VERSION_LESS "6.9.0")
  target_link_libraries(${PROJECT_NAME} PRIVATE Qt::GuiPrivate)
endif()

# Compiler / build flags
target_compile_options(${PROJECT_NAME} PRIVATE
  $<$<C_COMPILER_ID:Clang,AppleClang>:
    -Wno-quoted-include-in-framework-header
    -Wno-comma
  >
)

set_target_properties(${PROJECT_NAME} PROPERTIES
  MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>"
  AUTOMOC ON
  AUTOUIC ON
  AUTORCC ON
)

# Version header
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
  ${CMAKE_CURRENT_SOURCE_DIR}/version.h
)

# Windows installer script template
if(OS_WINDOWS)
  configure_file(
    cmake/windows/resources/installer-Windows.iss.in
    "${CMAKE_CURRENT_BINARY_DIR}/installer-Windows.generated.iss"
  )
endif()

# Sources
target_sources(${PROJECT_NAME} PRIVATE
	scene-as-transition.c
	version.h)

# Install / properties depending on build context
if(BUILD_OUT_OF_TREE)
  # out-of-tree plugin build
  set_target_properties_plugin(${PROJECT_NAME}
    PROPERTIES
      OUTPUT_NAME ${_name}
  )
else()
  # in-tree OBS build
  set_target_properties_obs(${PROJECT_NAME}
    PROPERTIES
      FOLDER "plugins/streamup"
      PREFIX ""
  )
endif()

=== debian/changelog ===
obs-scene-as-transition (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1.
  * Ran wrap-and-sort.
  * debian/clean: created to remove cmake/.CMakeBuildNumber.
  * debian/control:
      - Added libcurl4-gnutls-dev and qt6-base-private-dev to Build-Depends
        field.
      - Bumped Standards-Version to 4.7.3.
      - Dropped relation-ship for libobs-dev and obs-studio.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_fix-plugin-name.patch: created to force plugin to use the original
        name.
      - 020_rewritten-pt-BR.patch: created to update the translation file to
        make it compliant with the new upstream file format.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 13 Feb 2026 23:36:41 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: obs-scene-as-transition
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libcurl4-gnutls-dev,
+               libobs-dev,
+               qt6-base-private-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/scene-as-transition.1704
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-as-transition
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-as-transition.git
 
 Package: obs-scene-as-transition
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
+Depends: obs-studio, ${misc:Depends}, ${shlibs:Depends}
 Suggests: obs-move-transition
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)

=== debian/watch ===
Version: 5

Template: Github
Owner: andilippi
Project: obs-scene-as-transition
